> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job outcomes by ID

> Retrieve job outcomes for a specific job by its ID. This endpoint allows you to fetch the outcomes of a job, including logs and status.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /jobs/{job_id}/logs
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /jobs/{job_id}/logs:
    get:
      tags:
        - Jobs
      summary: Get job outcomes by ID
      description: >-
        Retrieve job outcomes for a specific job by its ID. This endpoint allows
        you to fetch the outcomes of a job, including logs and status.
      operationId: Get-job-outcomes-by-ID
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Id  Isnull
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status  In
        - name: status__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Status  Isnull
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At
        - name: created_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Neq
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gt
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lt
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: created_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Created At  Isnull
        - name: created_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At  In
        - name: jobs__id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Jobs  Id
        - name: jobs__id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Id  In
        - name: jobs__id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Id  Isnull
        - name: jobs__name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Name
        - name: jobs__name__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Name  Ilike
        - name: jobs__name__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Name  Like
        - name: jobs__name__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Name  In
        - name: jobs__name__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Name  Isnull
        - name: jobs__description
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Description
        - name: jobs__description__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Description  Ilike
        - name: jobs__description__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Description  Like
        - name: jobs__description__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Description  In
        - name: jobs__description__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Description  Isnull
        - name: jobs__resource
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Resource
        - name: jobs__resource__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Resource  In
        - name: jobs__resource__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Resource  Isnull
        - name: jobs__status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Status
        - name: jobs__status__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Status  In
        - name: jobs__status__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Status  Isnull
        - name: jobs__job_type
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/JobType'
              - type: 'null'
            title: Jobs  Job Type
        - name: jobs__job_type__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Job Type  In
        - name: jobs__job_type__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Job Type  Isnull
        - name: jobs__operation_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Operation Type
        - name: jobs__operation_type__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Operation Type  In
        - name: jobs__operation_type__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Operation Type  Isnull
        - name: jobs__created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Jobs  Created At
        - name: jobs__created_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Jobs  Created At  Neq
        - name: jobs__created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Jobs  Created At  Gt
        - name: jobs__created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Jobs  Created At  Gte
        - name: jobs__created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Jobs  Created At  Lt
        - name: jobs__created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Jobs  Created At  Lte
        - name: jobs__created_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Created At  Isnull
        - name: jobs__created_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  Created At  In
        - name: jobs__is_default
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  Is Default
        - name: jobs__file_path
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  File Path
        - name: jobs__file_path__ilike
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  File Path  Ilike
        - name: jobs__file_path__like
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  File Path  Like
        - name: jobs__file_path__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Jobs  File Path  In
        - name: jobs__file_path__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Jobs  File Path  Isnull
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobType:
      type: string
      enum:
        - manual
        - automated
      title: JobType
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````